summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTomislav Ivek2020-02-06 15:31:38 +0100
committerTomislav Ivek2020-02-06 15:31:38 +0100
commit299c4c4d79ba321b658a3f13f44b1197c97f810c (patch)
tree74145292fac743f14e17a5cdb85007d0322fe633
parent8b4de8f422c60a268de9d73da17962aedf3cc57d (diff)
downloadaur-299c4c4d79ba321b658a3f13f44b1197c97f810c.tar.gz
fix dependencies after 1.22
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD8
-rw-r--r--arch-reqs.patch23
3 files changed, 14 insertions, 25 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 06843c0d869..eee1876c150 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = conan-git
pkgdesc = A distributed, open source, C/C++ package manager.
- pkgver = 1.20.2.r17.g14f84411
+ pkgver = 1.21.0.r128.ge7ed0f58
pkgrel = 1
url = https://conan.io
arch = any
@@ -11,17 +11,15 @@ pkgbase = conan-git
depends = python-urllib3>=1.25.6
depends = python-colorama>=0.3.3
depends = python-yaml>=3.11
- depends = python-patch-ng>=1.17.1
+ depends = python-patch-ng>=1.17.2
depends = python-fasteners>=0.14.1
depends = python-six>=1.10.0
depends = python-node-semver>=0.6.1
depends = python-bottle>=0.12.8
depends = python-distro>=1.0.2
depends = python-pluginbase>=0.5
- depends = python-pylint>=2.3.1
depends = python-future>=0.16.0
depends = python-pygments>=2.0
- depends = python-astroid>=2.2.0
depends = python-deprecation>=2.0
depends = python-tqdm>=4.28.1
depends = python-jinja>=2.3
@@ -31,7 +29,7 @@ pkgbase = conan-git
source = conan-git::git+https://github.com/conan-io/conan.git
source = arch-reqs.patch
md5sums = SKIP
- md5sums = c3d593bd4806156696eb871d2d536856
+ md5sums = 47aa1de692d5aa3be8767a42e5cff295
pkgname = conan-git
diff --git a/PKGBUILD b/PKGBUILD
index a191683ec4b..278da3c3506 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Tomislav Ivek <tomislav.ivek@gmail.com>
pkgname=conan-git
-pkgver=1.20.2.r17.g14f84411
+pkgver=1.21.0.r128.ge7ed0f58
pkgrel=1
pkgdesc="A distributed, open source, C/C++ package manager."
arch=('any')
@@ -13,17 +13,15 @@ depends=('python-pyjwt>=1.4.0'
'python-urllib3>=1.25.6'
'python-colorama>=0.3.3'
'python-yaml>=3.11'
- 'python-patch-ng>=1.17.1'
+ 'python-patch-ng>=1.17.2'
'python-fasteners>=0.14.1'
'python-six>=1.10.0'
'python-node-semver>=0.6.1'
'python-bottle>=0.12.8'
'python-distro>=1.0.2'
'python-pluginbase>=0.5'
- 'python-pylint>=2.3.1'
'python-future>=0.16.0'
'python-pygments>=2.0'
- 'python-astroid>=2.2.0'
'python-deprecation>=2.0'
'python-tqdm>=4.28.1'
'python-jinja>=2.3'
@@ -32,7 +30,7 @@ provides=('conan')
conflicts=('conan')
source=("conan-git::git+https://github.com/conan-io/conan.git" "arch-reqs.patch")
md5sums=('SKIP'
- 'c3d593bd4806156696eb871d2d536856')
+ '47aa1de692d5aa3be8767a42e5cff295')
pkgver() {
diff --git a/arch-reqs.patch b/arch-reqs.patch
index 6957ee0f8b5..29fb719b90b 100644
--- a/arch-reqs.patch
+++ b/arch-reqs.patch
@@ -1,6 +1,6 @@
-diff -aur conan-git-pristine/conans/requirements_server.txt conan-git-new/conans/requirements_server.txt
---- conan-git-pristine/conans/requirements_server.txt 2019-11-11 11:28:27.289049177 +0100
-+++ conan-git-new/conans/requirements_server.txt 2019-11-11 11:36:42.769971622 +0100
+diff -aur conan-1.21.0-pristine/conans/requirements_server.txt conan-1.21.0-new/conans/requirements_server.txt
+--- conan-1.21.0-pristine/conans/requirements_server.txt 2019-12-11 11:55:23.835787195 +0100
++++ conan-1.21.0-new/conans/requirements_server.txt 2019-12-11 11:56:30.335915397 +0100
@@ -1,3 +1,3 @@
# Server
-bottle>=0.12.8, < 0.13
@@ -8,10 +8,10 @@ diff -aur conan-git-pristine/conans/requirements_server.txt conan-git-new/conans
\ No newline at end of file
+bottle>=0.12.8
+pluginbase>=0.5
-diff -aur conan-git-pristine/conans/requirements.txt conan-git-new/conans/requirements.txt
---- conan-git-pristine/conans/requirements.txt 2019-11-11 11:28:27.289049177 +0100
-+++ conan-git-new/conans/requirements.txt 2019-11-11 11:36:18.729928423 +0100
-@@ -1,21 +1,18 @@
+diff -aur conan-1.21.0-pristine/conans/requirements.txt conan-1.21.0-new/conans/requirements.txt
+--- conan-1.21.0-pristine/conans/requirements.txt 2019-12-11 11:55:23.835787195 +0100
++++ conan-1.21.0-new/conans/requirements.txt 2019-12-11 11:56:20.445896438 +0100
+@@ -1,16 +1,16 @@
-PyJWT>=1.4.0, <2.0.0
-requests>=2.8.1, <3.0.0
-urllib3!=1.25.4,!=1.25.5
@@ -23,29 +23,22 @@ diff -aur conan-git-pristine/conans/requirements.txt conan-git-new/conans/requir
+urllib3>=1.25.6
+colorama>=0.3.3
+PyYAML>=3.11
-+patch-ng>=1.17.1
++patch-ng>=1.17.2
fasteners>=0.14.1
-six>=1.10.0,<1.13.0
-node-semver==0.6.1
-distro>=1.0.2, <1.2.0
--pylint>=1.9.3, <2.0; python_version < '3'
--pylint>=2.0,!=2.3.0; python_version >= '3'
-future>=0.16.0, <0.19.0
-pygments>=2.0, <3.0
--astroid>=1.6.5, <2.0; python_version < '3'
--astroid>=2.2.0; python_version >= '3'
-deprecation>=2.0, <2.1
-tqdm>=4.28.1, <5
-Jinja2>=2.3, <3
-python-dateutil>=2.7.0, <3
--typed-ast<1.4; python_version == '3.4' and platform_system=='Windows'
+six>=1.10.0
+node-semver>=0.6.1
+distro>=1.0.2
-+pylint>=2.3.1
+future>=0.16.0
+pygments>=2.0
-+astroid>=2.2.0
+deprecation>=2.0
+tqdm>=4.28.1
+Jinja2>=2.3